package com.iamberry.rent.service.order.mapper;
import java.util.List;

import com.iamberry.wechat.core.entity.rent.PledgeCouponInfo;
import com.iamberry.wechat.core.entity.rent.ServiceCouponInfo;

/**
 * 服务费抵扣券Mapper
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2017年3月13日
 */
public interface ServiceCouponMapper {

	/**
	 * 查询优惠券
	 * @param info
	 * @return
	 * @author 献
	 * @Time   2017年3月13日
	 */
	List<ServiceCouponInfo> list(ServiceCouponInfo info);
	
	/**
	 * 修改服务费抵扣券信息
	 * @param couponInfo
	 * @return
	 * @author 献
	 * @Time   2017年3月13日
	 */
	Integer update(ServiceCouponInfo couponInfo);
	
	/**
	 * 添加服务费抵扣券
	 * @param couponInfo
	 * @return
	 */
	Integer saveServiceCoupon(ServiceCouponInfo couponInfo);
	
	/**
	 * 添加押金提取券
	 * @param pledgeCouponInfo
	 * @return
	 */
	Integer savePledgeCoupon(PledgeCouponInfo pledgeCouponInfo);
	
	/**
	 * 根据条件查询押金提取券信息
	 * @param pledgeCouponInfo
	 * @return
	 */
	List<PledgeCouponInfo> listPledgeCoupon(PledgeCouponInfo pledgeCouponInfo);
	
	/**
	 * 批量修改服务费抵扣券状态
	 * @param couponList
	 * @return
	 */
	Integer updateServiceCouponList(List<Integer> couponList);

	/**
	 * 修改押金提取券状态
	 * @param pledgeCouponInfo
	 * @return
	 */
	Integer updatePledgeCouponStatus(PledgeCouponInfo pledgeCouponInfo);
}
